<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getScriptLogs](./bitburner.ns.getscriptlogs.md)

## NS.getScriptLogs() method

Get all the logs of a script.

**Signature:**

```typescript
getScriptLogs(fn?: FilenameOrPID, host?: string, ...args: (string | number | boolean)[]): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | [FilenameOrPID](./bitburner.filenameorpid.md) | _(Optional)_ Optional. Filename or PID of script to get logs from. |
|  host | string | _(Optional)_ Optional. Hostname of the server that the script is on. |
|  args | (string \| number \| boolean)\[\] | Arguments to identify which scripts to get logs for. |

**Returns:**

string\[\]

Returns a string array, where each line is an element in the array. The most recently logged line is at the end of the array.

## Remarks

RAM cost: 0 GB

Returns a script’s logs. The logs are returned as an array, where each line is an element in the array. The most recently logged line is at the end of the array. Note that there is a maximum number of lines that a script stores in its logs. This is configurable in the game’s options. If the function is called with no arguments, it will return the current script’s logs.

Otherwise, the PID or filename, hostname/ip, and args… arguments can be used to get logs from another script. Remember that scripts are uniquely identified by both their names and arguments.

## Example


```js
//Get logs from foo.js on the current server that was run with no args
ns.getScriptLogs("foo.js");

//Open logs from foo.js on the foodnstuff server that was run with no args
ns.getScriptLogs("foo.js", "foodnstuff");

//Open logs from foo.js on the foodnstuff server that was run with the arguments [1, "test"]
ns.getScriptLogs("foo.js", "foodnstuff", 1, "test");
```

